commit 21f8797d992b9c972dd6fba39d9462ae285dd836
Author: mbkma <johannes.unruh@fau.de>
Date:   Fri Nov 11 20:38:03 2022 +0100

    release 1.27.0

 NEWS         | 7 +++++++
 configure.ac | 2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit ea7b890d9702d0c4c3df41c4f7405136ab4cf00b
Author: mbkma <johannes.unruh@fau.de>
Date:   Wed Nov 9 22:22:17 2022 +0100

    tx: sync with transifex

 po/cs.po |  4 ++--
 po/da.po |  4 ++--
 po/es.po | 13 ++++++++-----
 po/fr.po |  6 +++---
 po/id.po |  4 ++--
 po/ie.po |  4 ++--
 po/it.po | 15 +++++++--------
 po/ja.po |  4 ++--
 po/ko.po |  4 ++--
 po/ms.po |  4 ++--
 po/nb.po |  4 ++--
 po/nl.po |  4 ++--
 po/oc.po | 23 +++++++++++++++++------
 po/pl.po |  8 ++++----
 po/sr.po |  4 ++--
 po/sv.po |  4 ++--
 po/uk.po |  4 ++--
 17 files changed, 63 insertions(+), 50 deletions(-)

commit 8ec754ff83355277397d85aa95323f43b1314e85
Author: mbkma <johannes.unruh@fau.de>
Date:   Sat Oct 29 15:39:07 2022 +0200

    tx: update resource

 caja-dropbox.pot | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a47301462582c8f2e845974906d2b78054c098f6
Author: mbkma <johannes.unruh@fau.de>
Date:   Sat Oct 29 00:12:38 2022 +0200

    tx: migrate config file

 .tx/config                    | 13 +++++++------
 .tx/config_20221029001226.bak |  9 +++++++++
 2 files changed, 16 insertions(+), 6 deletions(-)

commit f4453b2d7fced010248d2c2bdd1e1d2239c535ef
Author: raveit65 <mate@raveit.de>
Date:   Sat Feb 12 12:10:00 2022 +0100

    ci: drop -Wunused-parameter compiler cflag from debian build

 .build.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8eef4a81e9cc671ea0d3475508153e8ad5523fbe
Author: raveit65 <mate@raveit.de>
Date:   Fri Aug 6 21:03:59 2021 +0200

    release 1.26.0

 NEWS         | 24 ++++++++++++++----------
 configure.ac |  2 +-
 2 files changed, 15 insertions(+), 11 deletions(-)

commit e45ce5521ca692d47d9478831499d29f8fc6ae94
Author: raveit65 <mate@raveit.de>
Date:   Fri Aug 6 21:00:01 2021 +0200

    tx: sync with transifex

 po/LINGUAS |  18 +++++++++++
 po/ca.po   |   6 ++--
 po/cs.po   |   2 +-
 po/da.po   |   2 +-
 po/es.po   |   2 +-
 po/fr.po   | 101 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/id.po   |   2 +-
 po/ie.po   |   2 +-
 po/it.po   |   2 +-
 po/ja.po   |   2 +-
 po/ko.po   |   6 ++--
 po/ms.po   | 100 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/nb.po   |   2 +-
 po/nl.po   |   2 +-
 po/oc.po   |   2 +-
 po/pl.po   |   2 +-
 po/sr.po   |   2 +-
 po/sv.po   |   2 +-
 po/uk.po   |   2 +-
 19 files changed, 239 insertions(+), 20 deletions(-)

commit 0bb988a1cc84386358e6887fe22472ecc1e6e910
Author: raveit65 <mate@raveit.de>
Date:   Fri Aug 6 20:51:29 2021 +0200

    travis-Ci: use libera.chat as notification server

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1dd58e57ff8d4faf7150a1cf9a0f5b1914966bbc
Author: raveit65 <mate@raveit.de>
Date:   Fri Jun 18 21:31:29 2021 +0200

    release 1.25.0

 NEWS         | 13 +++++++++++++
 configure.ac |  2 +-
 2 files changed, 14 insertions(+), 1 deletion(-)

commit 0a095449739b2046737629fda2a3a1d35e911d6f
Author: raveit65 <mate@raveit.de>
Date:   Fri Jun 18 21:19:16 2021 +0200

    tx: sync with transifex

 po/ca.po |  41 +++++++++++++------------
 po/cs.po |  97 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/da.po |  97 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/es.po |  98 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/id.po |  98 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ie.po |  96 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/it.po | 100 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ja.po |  93 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ko.po |  87 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/nb.po |  98 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/nl.po | 100 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/oc.po |  88 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/pl.po |  99 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/sr.po |  97 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/sv.po |  87 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/uk.po | 102 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 16 files changed, 1457 insertions(+), 21 deletions(-)

commit 9c6fd5f4690df91bf65548fdb2f5f27684d5cade
Author: raveit65 <mate@raveit.de>
Date:   Fri Jun 18 21:17:44 2021 +0200

    tx: update resource

 caja-dropbox.pot | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit df1c13617916f47397084f58b971e1ad1c74922e
Author: raveit65 <mate@raveit.de>
Date:   Fri Jun 18 21:15:37 2021 +0200

    update copyright for 2021

 COPYING             | 2 +-
 caja-dropbox.txt.in | 1 +
 2 files changed, 2 insertions(+), 1 deletion(-)

commit 8f5bcb5e8b30ae36c5b59eb528332ed09f49238e
Author: raveit65 <mate@raveit.de>
Date:   Sat May 29 21:31:14 2021 +0200

    travis-ci: use ubuntu focal as host system
    
    fixes build issues with fedora:latest (f34) tag.

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1207825db5b1d20b1afdde276fec98c4a1efd78f
Author: raveit65 <mate@raveit.de>
Date:   Thu Apr 22 23:29:36 2021 +0200

    travis: disable travis builds for ubuntu
    
    Sadly, there is a limit for free builds at docker.com
    See discussion
    https://github.com/orgs/mate-desktop/teams/core-team/discussions/25

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d3595b21ced5de7f9d07901a2b37875ed586c0db
Author: rbuj <robert.buj@gmail.com>
Date:   Mon Mar 8 13:38:13 2021 +0100

    dropbox-client-util: add missing include

 src/dropbox-client-util.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 74331aa50b203b70e0e4e095697b0c6e5ab1fd19
Author: rbuj <robert.buj@gmail.com>
Date:   Mon Mar 8 13:36:45 2021 +0100

    caja-dropbox: reset_all_files is a static function

 src/caja-dropbox.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 584dcc5e0a93e0ed6032acf9b218a126da5c3e89
Author: raveit65 <mate@raveit.de>
Date:   Mon Mar 8 15:09:44 2021 +0100

    travis: build with mate-common-1.24.2 from repos

 .build.yml | 11 -----------
 1 file changed, 11 deletions(-)

commit 5ec6e0717090a16a62533f2b057d67c114597ec9
Author: rbuj <robert.buj@gmail.com>
Date:   Fri Mar 5 22:15:43 2021 +0100

    caja-dropbox.pot: use UTF-8 charset

 caja-dropbox.pot | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5ccc576439740d8334b8c259c80ef5fe2322b812
Author: raveit65 <mate@raveit.de>
Date:   Fri Mar 5 20:33:10 2021 +0100

    tx: add transifex config

 .tx/config | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 743fb23157ab9fe1851792d1c6842813a5fdd6c2
Author: rbuj <robert.buj@gmail.com>
Date:   Mon Feb 8 00:07:02 2021 +0100

    Add i18n support

 .build.yml                                         |   4 +
 Makefile.am                                        |  27 ++++--
 caja-dropbox.in                                    |  31 ++++---
 caja-dropbox.pot                                   |  84 +++++++++++++++++
 configure.ac                                       |  16 +++-
 data/Makefile.am                                   |  31 ++++++-
 ...aja-dropbox.desktop => caja-dropbox.desktop.in} |   1 +
 ...ion.in => libcaja-dropbox.caja-extension.in.in} |   0
 makepot                                            |   6 ++
 po/LINGUAS                                         |   2 +
 po/Makevars                                        |  78 ++++++++++++++++
 po/POTFILES.in                                     |   5 ++
 po/ca.po                                           | 100 +++++++++++++++++++++
 serializeimages.py                                 |   2 +
 14 files changed, 362 insertions(+), 25 deletions(-)

commit a71735a925e53057f75391440b8b9c8bc703bbfc
Author: raveit65 <mate@raveit.de>
Date:   Mon Feb 22 12:36:12 2021 +0100

    tx: temporarily disable build for ArchLinux

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9c00890aa119fbb38cfc939d90aea82f658c75da
Author: raveit65 <mate@raveit.de>
Date:   Tue Dec 8 13:29:25 2020 +0100

    update issue template

 .github/issue_template.md | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 95c15bc7c512181e215b70dd94a53e778e3464ae
Author: raveit65 <mate@raveit.de>
Date:   Tue Dec 8 13:09:43 2020 +0100

    update issue template

 .github/issue_template.md | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 03567bc20b8b6f4010c0a271c2ec356af6e81b9c
Author: raveit65 <mate@raveit.de>
Date:   Mon Nov 16 17:43:15 2020 +0100

    travis CI: use  tag for ubuntu docker image

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e7101aa2105284c4eaeb89210dc99c7502484002
Author: rbuj <robert.buj@gmail.com>
Date:   Mon Nov 16 08:19:15 2020 +0100

    Remove USE_MATE2_MACROS from autogen.sh (legacy)

 autogen.sh | 1 -
 1 file changed, 1 deletion(-)

commit 9a90b2c233b0a25d33d4a92212b0d27d4b5682fd
Author: Pablo Barciela <scow@riseup.net>
Date:   Wed Aug 12 01:50:58 2020 +0200

    Travis CI: debian build: add -Wunused-macros to CFLAGS

 .build.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d499608e42b237245e0aaa68593df29f41c4974f
Author: Wu Xiaotian <yetist@gmail.com>
Date:   Mon Jun 22 22:12:56 2020 +0000

    [ci] fix release tarball on travis CI failed

 .travis.yml | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 384a9de2178ec79a281a4e54c0a17b7aabd5c298
Author: Pablo Barciela <scow@riseup.net>
Date:   Sat Jun 27 01:11:58 2020 +0200

    Travis CI: enable irc notifications with tagged commits

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 54f67527bd690602e48195b8a7ca0c918653fafa
Author: raveit65 <mate@raveit.de>
Date:   Sat Apr 18 22:39:24 2020 +0200

    ci: don't run configure with autogen.sh

 .build.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a3862b79278adc0972283580fb67610a09223690
Author: raveit65 <mate@raveit.de>
Date:   Sat Apr 18 22:38:20 2020 +0200

    build: silent build warnings for distcheck

 Makefile.am | 4 ++++
 1 file changed, 4 insertions(+)

commit 9a2c21958550e50c1cef13f21a75ed5f352866c5
Author: Pablo Barciela <scow@riseup.net>
Date:   Sat Apr 18 01:10:09 2020 +0200

    Travis CI: enable irc notifications with broken builds

 .travis.yml | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 7708de908b74873d66dbcd15ebaeaaecaf8b7c94
Author: rbuj <robert.buj@gmail.com>
Date:   Mon Apr 13 20:31:19 2020 +0200

    build: Silent building

 configure.ac | 1 +
 1 file changed, 1 insertion(+)

commit 87c4c797d92c225a2965e324e50b40115e99dda0
Author: Pablo Barciela <scow@riseup.net>
Date:   Mon Apr 13 02:25:38 2020 +0200

    Travis CI: debian build: add clang compiler

 .build.yml | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 2935c0e0dc7b0dc3dbbaefe05294c33efbd7b490
Author: Pablo Barciela <scow@riseup.net>
Date:   Mon Apr 13 02:23:51 2020 +0200

    Travis CI: debian build: add -Wsign-compare -Wunused-parameter to CFLAGS

 .build.yml | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 5f090f783bd1286be20e6c8accb85c0e1fd273ba
Author: raveit65 <mate@raveit.de>
Date:   Sat Apr 11 17:28:44 2020 +0200

    ci: use maximum compile-warnings

 .build.yml | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit a107f2149b3bca4cd3ff04408952d3b81eeb5881
Author: raveit65 <mate@raveit.de>
Date:   Sat Apr 11 17:25:14 2020 +0200

    ci: build with mate-common-1.24.1 tarball

 .build.yml | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

commit 26fddbd235ecde9463d38c6c52bd8f528b74aac6
Author: raveit65 <mate@raveit.de>
Date:   Sat Apr 11 17:16:59 2020 +0200

    use MATE_COMPILE_WARNINGS from mate-common

 configure.ac    | 21 ++++++++++++++++++++-
 src/Makefile.am |  7 ++++---
 2 files changed, 24 insertions(+), 4 deletions(-)

commit ec778bb4fec46cd63b1f960b0adb52a620864a48
Author: raveit65 <mate@raveit.de>
Date:   Sun Apr 5 20:02:41 2020 +0200

    ci: avoid deprecated skip_cleanup

 .travis.yml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 7f03a4e31dfe11bbfeed4dbf428c075db91c001f
Author: raveit65 <mate@raveit.de>
Date:   Sat Apr 4 16:48:54 2020 +0200

    CI: update build environment

 .travis.yml | 28 +++++++++++++++-------------
 1 file changed, 15 insertions(+), 13 deletions(-)

commit d6c2736659a86283c7ff8b9b009ab97ab6d072f0
Author: Pablo Barciela <scow@riseup.net>
Date:   Tue Mar 10 16:08:38 2020 +0100

    Travis CI: ubuntu build: add gcc

 .build.yml | 1 +
 1 file changed, 1 insertion(+)

commit 3bba21eb206faa329920ce15bcd4b5e656cf6dbc
Author: Pablo Barciela <scow@riseup.net>
Date:   Tue Mar 10 15:59:27 2020 +0100

    Travis CI: use Ubuntu devel instead 19.10

 .travis.yml | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 98ab37da29259ef909dd4d0be214e488a6ca60d8
Author: raveit65 <mate@raveit.de>
Date:   Tue Feb 18 11:49:49 2020 +0100

    travis: update config for new travis validation

 .build.yml  | 108 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 .travis.yml | 114 ++----------------------------------------------------------
 2 files changed, 111 insertions(+), 111 deletions(-)

commit 6bca1c57c29dc4547405c9a87dc53925d4822933
Author: raveit65 <mate@raveit.de>
Date:   Mon Feb 10 13:54:34 2020 +0100

    release 1.24.0

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 9e09cce8ba72f1292f0504b3688b691a6dbf6528
Author: raveit65 <mate@raveit.de>
Date:   Fri Jan 10 11:24:18 2020 +0100

    Update copyright to 2020

 COPYING | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 79b8246c2c475602647ccb8106ea551aa697bf81
Author: Pablo Barciela <scow@riseup.net>
Date:   Sat Nov 30 23:54:55 2019 +0100

    Travis CI: add '-Wredundant-decls' to 'CFLAGS' variable

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dcd53fa19ca1a44c33fded1445ca0fa8d6a6ccc5
Author: Pablo Barciela <scow@riseup.net>
Date:   Fri Nov 29 10:23:51 2019 +0100

    Travis CI: clang: -enable-checker alpha.deadcode.UnreachableCode

 .travis.yml | 1 +
 1 file changed, 1 insertion(+)

commit 1ac9c5d3c0350b3ac7d0c855a7426084f03ed8d0
Author: Pablo Barciela <scow@riseup.net>
Date:   Sat Oct 12 00:33:29 2019 +0200

    Travis CI: use Debian "testing" instead "sid"

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit be0fd37598247d6a5099cdd057c3841dfe3a8618
Author: raveit65 <mate@raveit.de>
Date:   Sat Oct 5 18:07:00 2019 +0200

    travis(ci): enable notify_servers

 .travis.yml | 2 ++
 1 file changed, 2 insertions(+)

commit bd9a80e4c885f3b042a71599ce25c3a3d08dc981
Author: Pablo Barciela <scow@riseup.net>
Date:   Tue Jul 23 01:18:40 2019 +0200

    [ci] Add cppcheck html report

 .travis.yml | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 269d1773c3905d3ff32bdcd8c1762997201f8f79
Author: Pablo Barciela <scow@riseup.net>
Date:   Tue Jul 23 01:05:46 2019 +0200

    travis: enable 'cppcheck' in debian

 .github/FUNDING.yml                              |    9 +
 .github/issue_template.md                        |   19 +
 .travis.yml                                      |  162 +++
 AUTHORS                                          |    9 +
 COPYING                                          |  696 ++++++++++
 ChangeLog                                        |    2 +
 Makefile.am                                      |   27 +
 NEWS                                             |   70 +
 README                                           |   18 +
 autogen.sh                                       |   25 +
 caja-dropbox.in                                  | 1571 ++++++++++++++++++++++
 caja-dropbox.txt.in                              |   51 +
 configure.ac                                     |  135 ++
 data/Makefile.am                                 |   12 +
 data/caja-dropbox.desktop                        |   12 +
 data/emblems/Makefile.am                         |    8 +
 data/emblems/emblem-dropbox-syncing.icon         |    4 +
 data/emblems/emblem-dropbox-syncing.png          |  Bin 0 -> 5703 bytes
 data/emblems/emblem-dropbox-unsyncable.icon      |    4 +
 data/emblems/emblem-dropbox-unsyncable.png       |  Bin 0 -> 5053 bytes
 data/emblems/emblem-dropbox-uptodate.icon        |    4 +
 data/emblems/emblem-dropbox-uptodate.png         |  Bin 0 -> 4799 bytes
 data/icons/Makefile.am                           |    1 +
 data/icons/hicolor/16x16/Makefile.am             |    1 +
 data/icons/hicolor/16x16/apps/Makefile.am        |    9 +
 data/icons/hicolor/16x16/apps/caja-dropbox.png   |  Bin 0 -> 486 bytes
 data/icons/hicolor/22x22/Makefile.am             |    1 +
 data/icons/hicolor/22x22/apps/Makefile.am        |    9 +
 data/icons/hicolor/22x22/apps/caja-dropbox.png   |  Bin 0 -> 799 bytes
 data/icons/hicolor/24x24/Makefile.am             |    1 +
 data/icons/hicolor/24x24/apps/Makefile.am        |    9 +
 data/icons/hicolor/24x24/apps/caja-dropbox.png   |  Bin 0 -> 704 bytes
 data/icons/hicolor/256x256/Makefile.am           |    1 +
 data/icons/hicolor/256x256/apps/Makefile.am      |    9 +
 data/icons/hicolor/256x256/apps/caja-dropbox.png |  Bin 0 -> 12363 bytes
 data/icons/hicolor/32x32/Makefile.am             |    1 +
 data/icons/hicolor/32x32/apps/Makefile.am        |    9 +
 data/icons/hicolor/32x32/apps/caja-dropbox.png   |  Bin 0 -> 941 bytes
 data/icons/hicolor/48x48/Makefile.am             |    1 +
 data/icons/hicolor/48x48/apps/Makefile.am        |    9 +
 data/icons/hicolor/48x48/apps/caja-dropbox.png   |  Bin 0 -> 1554 bytes
 data/icons/hicolor/64x64/Makefile.am             |    1 +
 data/icons/hicolor/64x64/apps/Makefile.am        |    9 +
 data/icons/hicolor/64x64/apps/caja-dropbox.png   |  Bin 0 -> 1888 bytes
 data/icons/hicolor/Makefile.am                   |   14 +
 data/libcaja-dropbox.caja-extension.in           |    6 +
 docgen.py                                        |   37 +
 rst2man.py                                       | 1090 +++++++++++++++
 serializeimages.py                               |   32 +
 src/Makefile.am                                  |   43 +
 src/async-io-coroutine.h                         |   65 +
 src/caja-dropbox-hooks.c                         |  337 +++++
 src/caja-dropbox-hooks.h                         |   79 ++
 src/caja-dropbox.c                               |  966 +++++++++++++
 src/caja-dropbox.h                               |   68 +
 src/dropbox-client-util.c                        |   91 ++
 src/dropbox-client-util.h                        |   39 +
 src/dropbox-client.c                             |  174 +++
 src/dropbox-client.h                             |   76 ++
 src/dropbox-command-client.c                     |  873 ++++++++++++
 src/dropbox-command-client.h                     |  113 ++
 src/dropbox.c                                    |   54 +
 src/g-util.h                                     |   49 +
 63 files changed, 7115 insertions(+)
